Searching Foreign Agents
Search for individuals and legal entities included in the register of foreign agents of the Ministry of Justice of the Russian Federation.
URL
Method: GET
- Production:
https://registry.wallet.kvell.group/lists/search/minjust_foreign_agent
Query parameters
At least one parameter is required
| Name | Type | Required | Description |
|---|---|---|---|
name |
string | No | Full name, organization name |
address |
string | No | Address (location) |
added |
string | No | Date added to the registry, format YYYY-MM-DD |
birth_date |
string | No | Date of birth, format YYYY-MM-DD |
inn |
string | No | INN (taxpayer identification number) |
ogrn |
string | No | OGRN (primary state registration number) |
violated_act |
string | No | Grounds for inclusion in the register |
source_domen_names |
string | No | Domain name of the information resource |
agent_type |
string | No | Type of foreign agent |
registration_number |
string | No | Registration number |
snils |
string | No | SNILS (individual insurance account number) |
participants_full_name |
string | No | Full names of participants |
decision_publication_date |
string | No | Date the Ministry of Justice's decision was published, format YYYY-MM-DD |
special_account_number |
string | No | Special account number |
bank_name |
string | No | Name and location of the authorized bank |
bik |
string | No | Bank identification code of the authorized bank |
correspondent_account_number |
string | No | Correspondent account (sub-account) number of the authorized bank |
special_account_open_date |
string | No | Date the special account was opened, format YYYY-MM-DD |
date_of_bank_agreement |
string | No | Date the bank account agreement was concluded, format YYYY-MM-DD |
Request example
GET https://registry.wallet.kvell.group/lists/search/minjust_foreign_agent?name=%D0%B8%D0%B2%D0%B0%D0%BD%D0%BE%D0%B2
Request headers
| Name | Type | Required | Description |
|---|---|---|---|
X-Api-Key |
string | Yes | Unique identifier (UUID) |
Response
Response example
[
{
"source": "minjust_foreign_agent",
"data": {
"bik": "041806647",
"inn": "344402071228",
"name": "Курилла Иван Иванович",
"ogrn": "",
"added": "2026-01-16",
"snils": "016-981-230 59",
"address": "",
"bank_name": "Волгоградское отделение №8621 ПАО Сбербанк",
"agent_type": "Физические лица",
"birth_date": "1967-03-22",
"violated_act": "Статья 7 Федерального закона от 14.07.2022 № 255-ФЗ «О контроле за деятельностью лиц, находящихся под иностранным влиянием»",
"source_domen_names": "https://www.facebook.com/ivan.kurilla.9; https://www.linkedin.com/in/ivan-kurilla-66328b5/",
"registration_number": "",
"date_of_bank_agreement": "",
"participants_full_name": "",
"special_account_number": "40817810111004191088",
"decision_publication_date": "2026-01-16",
"special_account_open_date": "2026-01-16",
"correspondent_account_number": "30101810100000000647"
},
"added_at": "2026-04-27T00:05:00.048216Z",
"updated_at": "2026-04-27T00:05:00.048216Z"
}
]